import { BaseXform } from "../base-xform.js";
interface TableStyleModel {
    theme?: string | null;
    showFirstColumn: boolean;
    showLastColumn: boolean;
    showRowStripes: boolean;
    showColumnStripes: boolean;
}
declare class TableStyleInfoXform extends BaseXform<TableStyleModel> {
    constructor();
    get tag(): string;
    render(xmlStream: any, model: TableStyleModel): void;
    parseOpen(node: any): boolean;
    parseText(): void;
    parseClose(): boolean;
}
export { TableStyleInfoXform };
